Уязвимость BDU:2019-04784

Дата: 11.02.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2019-04784.

Наименование уязвимости: Уязвимость инструмента для управления приложениями и средами Flatpak, связанная с ошибками при обработке файловых дескрипторов, позволяющая нарушителю изменить произвольные исполняемые файлы на стороне хоста.

Описание уязвимости: Уязвимость инструмента для управления приложениями и средами Flatpak связана с ошибками при обработке файловых дескрипторов. Эксплуатация уязвимости может позволить нарушителю изменить произвольные исполняемые файлы на стороне хоста, запустив сценарий «apply_extra»
Уязвимое ПО: Операционная система Red Hat Inc. Red Hat Enterprise Linux 7 | Операционная система Debian GNU/Linux 9.0 | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Операционная система Debian GNU/Linux 10.0 | ПО виртуализации/ПО виртуального программно-аппаратного средства Flatpak от 1.1.0 до 1.1.3 включительно | ПО виртуализации/ПО виртуального программно-аппаратного средства Flatpak до 1.0.7 | ПО виртуализации/ПО виртуального программно-аппаратного средства Flatpak от 1.2.0 до 1.2.3 включительно |

Наименование ОС и тип аппаратной платформы: Red Hat Enterprise Linux 7 | Debian GNU/Linux 90 | OpenSUSE Leap 150 | Debian GNU/Linux 100 |
Дата выявления: 11.02.2019.
CVSS 2.0: AV:L/AC:H/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 6,2)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,7)

Возможные меры по устранению:
Использование рекомендаций:
Для Flatpak:
https://github.com/flatpak/flatpak/releases/tag/1.0.7
https://github.com/flatpak/flatpak/releases/tag/1.2.3

Для Debian GNU/Linux:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=922059
https://www.debian.org/security/2019/dsa-4390

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/errata/RHSA-2019:0375

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/opensuse-security-announce/2019-08/msg00088.html
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-8308.

Тип ошибки CWE: CWE-20, CWE-672
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://www.debian.org/security/2019/dsa-4390
https://access.redhat.com/security/cve/cve-2019-8308
https://github.com/flatpak/flatpak/releases/tag/1.0.7
https://github.com/flatpak/flatpak/releases/tag/1.2.3
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=922059
https://www.debian.org/security/2019/dsa-4390
https://access.redhat.com/errata/RHSA-2019:0375
https://lists.opensuse.org/opensuse-security-announce/2019-08/msg00088.html

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *